> For the complete documentation index, see [llms.txt](https://docs.postgresql.tw/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.postgresql.tw/reference/reference-server.md).

# PostgreSQL Server Applications

***

This part contains reference information for PostgreSQL server applications and support utilities. These commands can only be run usefully on the host where the database server resides. Other utility programs are listed in [PostgreSQL Client Applications](/reference/reference-client.md).

**Table of Contents**

[initdb](/reference/reference-server/app-initdb.md) — create a new PostgreSQL database cluster

[pg\_archivecleanup](/reference/reference-server/pgarchivecleanup.md) — clean up PostgreSQL WAL archive files

[pg\_checksums](/reference/reference-server/app-pgchecksums.md) — enable, disable or check data checksums in a PostgreSQL database cluster

[pg\_controldata](/reference/reference-server/app-pgcontroldata.md) — display control information of a PostgreSQL database cluster

[pg\_createsubscriber](/reference/reference-server/app-pgcreatesubscriber.md) — convert a physical replica into a new logical replica

[pg\_ctl](/reference/reference-server/app-pg-ctl.md) — initialize, start, stop, or control a PostgreSQL server

[pg\_resetwal](/reference/reference-server/app-pgresetwal.md) — reset the write-ahead log and other control information of a PostgreSQL database cluster

[pg\_rewind](/reference/reference-server/app-pgrewind.md) — synchronize a PostgreSQL data directory with another data directory that was forked from it

[pg\_test\_fsync](/reference/reference-server/pgtestfsync.md) — determine fastest `wal_sync_method` for PostgreSQL

[pg\_test\_timing](/reference/reference-server/pgtesttiming.md) — measure timing overhead

[pg\_upgrade](/reference/reference-server/pgupgrade.md) — upgrade a PostgreSQL server instance

[pg\_waldump](/reference/reference-server/pgwaldump.md) — display a human-readable rendering of the write-ahead log of a PostgreSQL database cluster

[pg\_walsummary](/reference/reference-server/app-pgwalsummary.md) — print contents of WAL summary files

[postgres](/reference/reference-server/app-postgres.md) — PostgreSQL database server

***

原文：[PostgreSQL 18.6 Documentation](https://www.postgresql.org/docs/18/reference-server.html)（英文原文，待翻譯）


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.postgresql.tw/reference/reference-server.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
